<?php

namespace Toalett\Redis\Timeseries\Protocol\Command;

use Toalett\Redis\Timeseries\Protocol\Command\Components\CommandAssembler;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsKey;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsLabels;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsRetention;

class AlterCommand implements Command
{
    use ContainsKey;
    use ContainsRetention;
    use ContainsLabels;
    use CommandAssembler;

    public function toRawCommand(): array
    {
        return $this->assemble('TS.ALTER');
    }
}
