<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

use Toalett\Redis\Timeseries\Model\Value;

trait ContainsValue
{
    private ?Value $value = null;

    public function value(Value $value): self
    {
        $this->value = $value;
        return $this;
    }

    protected function appendValue(array $command): array
    {
        if (!is_null($this->value)) {
            $command[] = $this->value->getTimestamp();
            $command[] = $this->value->getValue();
        }
        return $command;
    }
}
