<?php

namespace Toalett\Redis\Timeseries\Protocol\Query;

use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsKey;
use Toalett\Redis\Timeseries\Protocol\Query\Components\QueryAssembler;

final class GetQuery implements Query
{
    use ContainsKey;
    use QueryAssembler;

    public function toRawCommand(): array
    {
        return $this->assemble('TS.GET');
    }
}
