<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

trait ContainsKey
{
    protected string $key;

    public function __construct(string $key)
    {
        $this->key = $key;
    }

    protected function appendKey(array $command): array
    {
        $command[] = $this->key;
        return $command;
    }
}
