<?php

namespace Toalett\Redis\Timeseries\Protocol\Query;

use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsAggregation;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsCount;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsFilters;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsRange;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsWithLabels;
use Toalett\Redis\Timeseries\Protocol\Query\Components\QueryAssembler;

abstract class AbstractMRangeQuery implements Query
{
    use ContainsRange;
    use ContainsCount;
    use ContainsAggregation;
    use ContainsWithLabels;
    use ContainsFilters;
    use QueryAssembler;
}
