<?php

namespace Toalett\Redis\Timeseries\Protocol\Query;

use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsAggregation;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsCount;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsKey;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsRange;
use Toalett\Redis\Timeseries\Protocol\Query\Components\QueryAssembler;

abstract class AbstractRangeQuery implements Query
{
    use ContainsKey;
    use ContainsRange;
    use ContainsCount;
    use ContainsAggregation;
    use QueryAssembler;
}
