<?php

namespace Toalett\Redis\Timeseries\Protocol\Query;

use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsFilters;
use Toalett\Redis\Timeseries\Protocol\Query\Components\ContainsWithLabels;
use Toalett\Redis\Timeseries\Protocol\Query\Components\QueryAssembler;

final class MGetQuery implements Query
{
    use ContainsWithLabels;
    use ContainsFilters;
    use QueryAssembler;

    public function toRawCommand(): array
    {
        return $this->assemble('TS.MGET');
    }
}
